receive.c File Reference

### (e229353 2016-10-20 17:36:59 +0200)

Implements receive.h. More...

`#include <limits.h>`
`#include <errno.h>`
`#include <poll.h>`
`#include "include/media/lirc.h"`
`#include "lirc/driver.h"`
`#include "lirc/lirc_log.h"`
`#include "lirc/receive.h"`
`#include "lirc/ir_remote.h"`

Go to the source code of this file.

## Macros

#define | RBUF_SIZE 512
#define | REC_SYNC 8

## Functions

void | rec_set_update_mode (int mode)
int | waitfordata (__u32 maxusec)
void | rec_buffer_set_logfile (FILE *f)
void | rec_buffer_init (void)
void | rec_buffer_rewind (void)
void | rec_buffer_reset_wptr (void)
int | rec_buffer_clear (void)
int | receive_decode (struct ir_remote *remote, struct decode_ctx_t *ctx)

## Detailed Description

Implements receive.h.

Author
  Christoph Bartelmus

Definition in file receive.c.